const defaultLanguage = "EN";
const statsLang = "EN";
let currentLanguage = defaultLanguage;
const defaultContentLanguage = "EN";

const keyboardlayouts = {
    EN: "qwerty",
    ZH: "qwerty",
    "ZH-CHS": "qwerty",
    AR: "arabic",
    TH: "qwerty",
    MS: "qwerty",
    TA: "qwerty",
    JA: "qwerty"
};
const momentlocale = {
    EN: "en",
    AR: "ar",
    ZH: "en",
    "ZH-CHS": "en",
    TH: "th",
    MS: "ms",
    TA: "ta",
    JA: "ja",
};

const langNames = {
    ZH: "繁",
    "ZH-CHS": "简",
    EN: "ENG",
    AR: "العربية",
    TH: "TH",
    MS: "BM",
    TA: "தமிழ்",
    JA: "日本語"

};

const dateFormats = {
    EN: "ddd MMMM D, Y",
    ZH: "ddd MMMM D, Y",
    "ZH-CHS": "ddd MMMM D, Y",
    AR: "ddd MMMM D, Y",
    TH: "ddd MMMM D, Y",
    MS: "ddd MMMM D, Y",
    TA: "ddd MMMM D, Y",
    JA: "ddd MMMM D, Y"
};

const translations = {
    home: {EN: "Home", AR: "الصفحة الرئيسية", ZH: "主頁", "ZH-CHS": "主页", TH: "บ้าน", MS: "Rumah"},
    shop: {EN: "SHOPPING", AR: "المحلات", ZH: "購物", "ZH-CHS": "购物", MS: "Kedai", TA:"கடை", JA:"ショップ"},
    dine: {EN: "DINING", AR: "", ZH: "餐飲", "ZH-CHS": "餐饮", TH: "", MS: "", TA:"", JA:""},
    fashion: {EN: "FASHION", AR: "", ZH: "時裝", "ZH-CHS": "时装", TH:"", MS: "Fesyen", TA:"ஃபேஷன்", JA:"ファッション"},
    newshop: {EN: "NEW SHOPS", AR: "", ZH: "新店進駐", "ZH-CHS": "新店进驻", TH:"", MS: "", TA:"", JA:""},
    floor: {EN: "Level", AR: "مستوى", ZH: "區域及樓層", "ZH-CHS": "区域及楼层", TH: "ระดับ", MS: "Tingkat", TA:"தரை", JA:"床"},
    unit: {EN: "Shop No.", AR: "Unit", ZH: "號舖", "ZH-CHS": "号舖", TH: "หน่วย", MS: "Unit"},

    announcements: {EN: "Nearby Attractions", AR: "", ZH: "附近景點", "ZH-CHS": "附近景点", TH: "", MS: "", TA: "", JA: ""},
    deals: {EN: "OFFERS", AR: "", ZH: "优惠", "ZH-CHS": "优惠", TH: "", MS: "", TA: "", JA: ""},
    events: {EN: "PROMOTIONS", AR: "", ZH: "推廣", "ZH-CHS": "推广", TH: "", MS: "", TA: "", JA: ""},
    infos: {EN: "CONCIERGE", AR: "معلومات", ZH: "Information", TH: "ข้อมูล", MS: "Maklumat"},
    stores: {EN: "Stores", AR: "المحلات", ZH: "商店", "ZH-CHS": "商店", TH: "ร้านค้า", MS: "Kedai"},
    services: {EN: "Services", AR: "الخدمات", ZH: "服務", "ZH-CHS": "服务", TH: "บริการ", MS: "Perkhidmatan"},
    facilities: {EN: "Facilities", AR: "Facilities", ZH: "設施", "ZH-CHS": "设施", TH: "สิ่งอำนวยความสะดวก", MS: "Kemudahan"},
    categories: {EN: "Categories", AR: "التصنيفات", ZH: "類別", "ZH-CHS": "类别", TH: "หมวดหมู่", MS: "Kategori"},
    search: {EN: "Search", AR: "التصنيفات", ZH: "搜索", "ZH-CHS": "搜索", TH: "ค้นหา", MS: "Carian"},
    map: {EN: "Show Map", AR: "عرض الخريطة", ZH: "Show Map", TH: "แสดงแผนที่", MS: "Tunjukkan Peta"},
    parking: {EN: "Parking", AR: "Parking", ZH: "停车处", TH: "ที่จอดรถ", MS: "Ruang Parkir", TA:"வாகன நிறுத்துமிடம்", JA:"パーキング"},
    dropoff: {EN: "Drop-Off", AR: "", ZH: "", TH: "", MS: "Kawasan Turunkan Penumpang"},
    atm: {EN: "ATM / MACHINES", AR: "", ZH: "自动取款机", TH: "", MS: "ATM", TA:"ஏடிஎம்", JA:"ATM"},
    highlights: {EN: "Happenings", AR: "", ZH: "推廣", "ZH-CHS": "推广", TH: "", MS: "", TA:"", JA:""},
    description: {EN: "Synopsis", AR: "", ZH: "劇情簡介", "ZH-CHS": "剧情简介", TH: "", MS: "", TA:"", JA:""},

    search_caption: {
        EN: "WHAT ARE YOU<br>LOOKING FOR?",
        AR: "",
        ZH: "",
        TH: "",
        MS: "",
        TA:"",
        JA:""
    },

    deals_and_events: { EN: "All", AR: "كافة", ZH: "全部", "ZH-CHS": "全部", TH: "ทั้งหมด", MS: "Semua", TA: "அனைத்தும்", JA: "すべて"},
    language: {EN: "Language", AR: "", ZH: "語言", "ZH-CHS": "语言", TH: "", MS: ""},
    date: {EN: "Date", AR: "", ZH: "日期", "ZH-CHS": "日期", TH: "", MS: ""},
    ongoing: { EN: "Ongoing", AR: "جاري", ZH: "Ongoing", TH: "กำลังดำเนินการ", MS: "Sedang berlangsung"},
    future: { EN: "Upcoming", AR: "آت", ZH: "Upcoming", TH: "กำลังจะเกิดขึ้น", MS: "Akan datang"},
    ion_sky: { EN: "ION SKY", AR: "", ZH: "", TH: "", MS: ""},
    ion_art: { EN: "ION ART", AR: "", ZH: "", TH: "", MS: ""},
    wifi: { EN: "Wifi", AR: "", ZH: "", TH: "", MS: ""},
    transport: { EN: "Transportation", AR: "", ZH: "公共交通工具", "ZH-CHS": "交通", TH: "", MS: ""},

    similar_stores: {
        EN: "Similar Stores",
        FR: "Commerces équivalents",
        AR: "متاجر مماثلة",
        ZH: "同类商店",
        MS: "Kedai berkaitan",
        TH: "ร้านค้าที่คล้ายกัน"
    },

    items_not_available: {
        EN: "Sorry, not available for the moment.",
        AR: "عذرا ، غير متوفر في الوقت الراهن.",
        ZH: "Sorry, not available for the moment."
    },

    back: {EN: "Back", AR: "رجوع", ZH: "上一步", "ZH-CHS": "上一步", TH: "กลับ", MS: "Belakang"},
    close: {EN: "Close", AR: "إغلاق", ZH: "關閉", "ZH-CHS": "关闭", TH: "ปิด", MS: "Tutup"},
    pmr: {EN: "ACCESSIBLE ROUTE", AR: "طريق خاصة باصحاب الهمم", ZH: "ACCESSIBLE ROUTE", TH: "เส้นทางที่สามารถเข้าถึงได้", MS: "LALUAN YANG DAPAT DIPAKAI"},

    searchtext_placeholder: {
        EN: "Start typing to search",
        AR: "البحث",
        ZH: "開始輸入搜索？",
        "ZH-CHS": "开始输入搜索？",
        TH: "ค้นหา",
        MS: "Carian",
        TA: "தேடல்",
        JA: "探す"
    },
    u_r_here: {
        EN: "YOU<br>ARE<br>HERE",
        ZH: "<br>你在此<br>",
        "ZH-CHS": "<br>你在此<br>",
    },
    height_adjust: {EN: "Height Adjust", ZH: "調節高度", "ZH-CHS": "调节高度"},
    take_me_there: {EN: "Get Directions", AR: "خذني هناك", ZH: "路綫", "ZH-CHS": "路線", TH: "ทิศทาง", MS: "Arah"},
    by_tag_results: {EN: "Related Stores", AR: "المتاجر ذات الصلة", ZH: "Related Stores", MS: "Kedai yang berkaitan"},
    go_to_nearest: {
        EN: "Show nearest",
        AR: "أرني الأقرب",
        ZH: "顯示最近的",
        MS: "Arah terdekat",
        "ZH-CHS": "显示最近的"
    },
    qr_code_title: {
        EN: "Contactless Maps<br>now available<br>Scan & Go!",
        AR: "قم بتحميل الخريطة<br>على جوالك",
        ZH: "取得地图<br>在手机上",
        TH: "หาแผนที่บนมือถือของคุณ",
        MS: "Dapatkan peta ini <br>di telefon bimbit anda",
        TA: "வரைபடத்தைப் பெறுங்கள்<br>உங்கள் மொபைலில்",
        JA: "地図を入手する<br>あなたの携帯電話で"
    },
    qr_code_poi_title: {
        EN: "Get Map on<br>your phone",
        AR: "قم بتحميل الخريطة<br>على جوالك",
        ZH: "掃瞄 QR code<br>於手機顯示位置",
        "ZH-CHS": "掃瞄 QR code<br>於手機顯示位置",
        TH: "หาแผนที่บนมือถือของคุณ",
        MS: "Dapatkan arah di <br>telefon bimbit anda"
    },
    from: {EN: "From", AR: "من", ZH: "From", TH: "จาก", MS: "Dari"},
    to: {EN: "to", AR: "إلى", ZH: "前往", "ZH-CHS": "前往", TH: "ถึง", MS: "ke"},
    on: {EN: "On", AR: "على", ZH: "On", TH: "บน", MS: "pada/di"},
    in: {EN: "in", AR: "في", ZH: "in", TH: "ใน", MS: "dalam masa"},
    till: {EN: "till", AR: "حتى", ZH: "in", TH: "จนถึง", MS: "hingga"},

    info: {EN: "Info", AR: "معلومات", ZH: "in", MS: "Maklumat"},
    destination: {EN: "Destination", AR: "الوجهة", ZH: "in", MS: "Destinasi"},
    map_result_header: {EN: "Directions", AR: "الاتجاهات", ZH: "路綫", "ZH-CHS": "路線", TH: "ทิศทาง", MS: "Arah"},
    location: {EN: "Location", AR: "Location", ZH: "地點", "ZH-CHS": "地点", TH: "สถานที่", MS: "Lokasi"},
    contact: {EN: "Contact", AR: "Contact", ZH: "查詢電話", "ZH-CHS": "查询电话", TH: "ติดต่อ", MS: "Hubungi"},
    open_hours: {EN: "Business Hour:", AR: "ساعات العمل", ZH: "營業時間:", "ZH-CHS": "营业时间:", TH: "เวลาทำการ", MS: "Waktu Operasi"},

    more_info: {EN: "More Information", AR: "المزيد من المعلومات", ZH: "More Information", TH: "ข้อมูลมากกว่านี้", MS: "Maklumat lebih lanjut"},
    more_info_btn: {EN: "More Info", AR: "المزيد", NL: "MEER...", TH: "ข้อมูลที่มากกว่านี้", MS: "Maklumat lebih lanjut"},
    directions_to: {EN: "Directions to", AR: "الاتجاهات إلى", ZH: "路綫", "ZH-CHS": "路線", TH: "ทิศทาง", MS: "Petunjuk ke"},
    distance: {EN: "DISTANCE", AR: "المسافة", ZH: "DISTANCE", TH: "ระยะทาง", MS: "Jarak"},
    time: {EN: "Time", AR: "الوقت", ZH: "時間", "ZH-CHS": "时间", TH: "เวลา", MS: "MASA"},
    lift_route: {EN: "Lift Route", AR: "طريق المصعد", ZH: "電梯路線", "ZH-CHS": "电梯路线", TH: "ยกเส้นทาง", MS: "Laluan lif"},
    replay: {EN: "Replay", AR: "إعادة", ZH: "重播", "ZH-CHS": "重播", TH: "เล่นซ้ำ", MS: "Ulang semula"},
    within: {EN: "Within", AR: "Within", ZH: "", "ZH-CHS": "", TH: "Within", MS: "Within"},

    more: {EN: "Amenities", AR: "المزيد", ZH: "更多設施", "ZH-CHS": "更多设施", TH: "มากกว่า", MS: "Lebih lanjut", TA:"மேலும்", JA:"もっと"},
    space: {EN: "SPACE", AR: "SPACE", ZH: "SPACE", TH: "SPACE", MS: "SPACE"},
    m: {EN: "m", AR: "m", ZH: "米", "ZH-CHS": "米", TH: "m", MS: "m"},
    min: {EN: "min", AR: "min", ZH: "分鐘內", "ZH-CHS": "分钟内", TH: "min", MS: "min"},
    startAt: {EN: "Starting at ", AR: "يبدأ من ", ZH: "Starting at ", TH: "เริ่มต้นที่", MS: "Bermula di"},
    yourPosition: {EN: "your position ", AR: "موقعك ", ZH: "your position ", TH: "ตำแหน่งของคุณ", MS: "kedudukan anda"},
    yourDestination: {EN: "your destination ", AR: "وجهتك ", ZH: "your destination ", TH: "ปลายทางของคุณ", MS: "destinasi anda"},
    take_the: {EN: "Take the ", AR: "خذ ", ZH: "請使用", "ZH-CHS": "請使用", TH: "ใช้", MS: "Ambil"},
    walk: {EN: "Walk to ", AR: "امشي الى ", ZH: "步行至", "ZH-CHS": "步行至",TH: "เดินไป", MS: "Berjalan ke"},
    continue: {EN: 'continue on ', AR: 'اكمل في ', ZH: 'continue on ', "ZH-CHS": "continue on "},
    to_level: {EN: " to level ", AR: " الى ألطابق ", ZH: " to level ", TH: "ในระดับ", MS: "ke tingkat"},
    ur_looking_this_way: {
        EN: "You are here facing this way",
        AR: "أنت تواجه هذا الاتجاه",
        ZH: "你正面向這邊",
		"ZH-CHS": "你正面向这边",
        TH: "คุณอยู่ที่นี่ หันหน้าไปทางนี้",
        MS: "Anda di sini, menuju ke arah ini"
    },
    start_walk_this_way: {
        EN: "Start walking this way",
        AR: "إبدأ بالمشي بهذا الاتجاه",
        ZH: "往這邊走",
		"ZH-CHS": "往这边走",
        TH: "เริ่มเดินมาทางนี้",
        MS: "Mula berjalan ke arah ini"
    }
};

const custom_kb_layouts = {
    qwerty: {
        normal: ["Q W E R T Y U I O P {bksp}", "A S D F G H J K L &", "{shift} Z X C {space} V B N M"],
        shift: ["1 2 3 4 5 6 7 8 9 0 {bksp}", "! @ # $ % ; * - +", "{normal} {space} ? :"]
    },
    azerty: {
        normal: ["A Z E R T Y U I O P {bksp}", "Q S D F G H J K L M", "{shift} W X C {space} V B N & {shift}"],
        shift: ["1 2 3 4 5 6 7 8 9 0 {bksp}", "! @ # $ % ; * - +", "{normal} {space} ? : {normal}"]
    },
    pinyin: {
        shift: ["1 2 3 4 5 6 7 8 9 0 {bksp}", "! @ # $ % ; * - +", "{normal} {space} ? : {normal}"],
        normal: [
            "\u624B \u7530 \u6C34 \u53E3 \u5EFF \u535C \u5C71 \u6208 \u4EBA \u5FC3 {bksp}",
            "\u65E5 \u5C38 \u6728 \u706B \u571F \u7AF9 \u5341 \u5927 \u4E2D ",
            "{shift} \uFF3A \u96E3 \u91D1 \u5973 {space} \u6708 \u5F13 \u4E00 &"]
    },
    arabic: {
        normal: ["ض ص ث ق ف غ ع ه خ ح ج د {bksp}", "{shift} ذ ش س ي ب ل ا ت ن م ك ط {shift}", "أ ئ ء ؤ ر {space} لا ى ة و ز ظ"],
        shift: ["1 2 3 4 5 6 7 8 9 0 - = {bksp}", "ّ ! @ # $ % ^ & * _ + ", "{normal} ٍ  لأ ـ {space} ، / : {normal}"]
    }

};