const baseOpts = {
    qrCodeBaseUrl: "https://map.abuzzsolutions.asia/amap/map.php?site=DUO_WF",
    siteBaseUrl: "/",
    mediaBaseUrl: "/cache",
    labelFontUrl: "assets/fonts/Circular_Pro_Book.json",
    amapBaseUrl: "/app/amap/",

    defaultViewsByNodeId: {
        "_36614_21877_0": { camera: [72359, 11758, 47834], scene: [30284, 20863, 1803] }, // Default

		"_35454_17346_0": { camera: [-11784, 58692, 53102], scene: [15571, 26733, 1803] },     // DUO_WF-01-L101
		"_34979_5000_0": { camera: [-23183, 20404, 45069], scene: [13741, 20201, 1803] },      // DUO_WF-02-L102
		"_28415_7574_0": { camera: [-22565, 15262, 45309], scene: [13741, 20201, 1803] },    // DUO_WF-03-L103
		"_19963_5107_-1800": { camera: [25135, -19966, 28967], scene: [26621, 8977, 1803] }, // DUO_WF-04-B301
		"_10668_4793_-1800": { camera: [65578, 19654, 40850], scene: [32255, 19946, 1803] }   // DUO_WF-05-B302
    },
		
    startNodeModel: {
        file: "app/assets/YOUAREHERE.obj",
        scale: [3, 3, 1],
        animate: false,
        animRotation: [0, 0, 5],
        neutralRotation: true
    },

    useFlyAnimation: true,
	pathAutoAnimate: true,
    pathAutoAnimateDelay: 0, // secs
    pathDirToPartAnimDelay: 1, // secs
    controlsRotate: true,
    controlsPan: true,
    controlsZoom: true,
    labelsHorizontal: false,

    labelCanvasMethod: true,
    labelCanvasFontDict: {
        "EN": "64px Font-Label",
        "ZH": "64px Font-Label",
        "ZH-CHS": "64px Font-Label"
    },
    dataLang: "EN", // to set the labels in the defaultLanguage (only for canvas based labels method = labelCanvasMethod: true)

    serviceTypeResultsBannerStream: "RIGHT_BANNER",

    zoneButtonUseLongName: true,
	multiFloorTransition: true,
    heightSpread: 25000, // cm

    useTopCategories: false,
    qrDarkColor: "#5d666d",
    maxPOIsResults: 300,

    clockDateFormat: "dddd, D MMM",
    clockTimeFormat: "hh:mm A",
    weatherCity: "Singapore, SG",
};

const customMainServicesCodes = ["info", "dropoff", "parking", "entrance" ];
const servicesWithResultsList = ["parking", "dropoff", "info", "entrance"];
const servicesWithResultsListSortField = "cellId";